package com.heyu.api.alibaba.request.mm;


import com.alibaba.fastjson.JSON;
import com.heyu.api.data.service.impl.AppBaseRequest;
import com.heyu.api.data.utils.AesUtil;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class VvAnonymousUserLoginRequest extends AppBaseRequest {
    /***
     * 设备id
     *
     * 设备号上加上这个前缀
     *
     * goudezhao$132_
     *
     * aes加密key : qhzhixing
     *
     */
    private String deviceId;



    public static void main(String[] args) throws Exception {

        String password = "qhzhixing";


        String a = AesUtil.encrypt("goudezhao$132_89983983",password);


        System.out.println(a);




        Map<String,Object> map = new HashMap<>();

        map.put("deviceId",a);


        System.out.println(JSON.toJSONString(map));
    }


}
